(defproject com.github.harlanji/pubsub-demo-web "0.0.1-SNAPSHOT"
            :description ""

            :plugins [[lein-cljsbuild "1.1.1"]
                      [lein-figwheel  "0.5.0-2"]]

            :hooks [leiningen.cljsbuild]

            :profiles {:dev {:cljsbuild
                             {:builds {:client {:source-paths ["devsrc"]
                                                :compiler     {:main com.github.harlanji.pubsub-demo-web/main
                                                               :asset-path "js"
                                                               :optimizations :none
                                                               :source-map true
                                                               :source-map-timestamp true}}}}}

                       :prod {:cljsbuild
                              {:builds {:client {:compiler    {:optimizations :advanced
                                                               :elide-asserts true
                                                               :pretty-print false}}}}}}

            :dependencies [[org.clojure/clojure       "_"]
                           [org.clojure/clojurescript "_"]
                           [reagent "0.6.0-alpha"]
                           [re-frame "0.7.0-alpha"]]

            :plugins [[lein-cljsbuild "1.1.1"]
                      [lein-figwheel  "0.5.0-2"]]


            :figwheel {:repl false}

            :clean-targets ^{:protect false} ["resources/public/js"]

            :cljsbuild {:builds {:client {:source-paths ["src"]
                                          :compiler     {:output-dir "resources/public/js"
                                                         :output-to  "resources/public/js/client.js"}}}}

            )